Start batch of person enrichments
curl --request POST \
--url https://api.amplemarket.com/people/enrichment-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"leads": [
{
"email": "jsmith@example.com",
"linkedin_url": "<string>",
"company_domain": "<string>",
"company_name": "<string>",
"name": "<string>",
"title": "<string>"
}
],
"reveal_email": true,
"reveal_phone_numbers": true
}
'import requests
url = "https://api.amplemarket.com/people/enrichment-requests"
payload = {
"leads": [
{
"email": "jsmith@example.com",
"linkedin_url": "<string>",
"company_domain": "<string>",
"company_name": "<string>",
"name": "<string>",
"title": "<string>"
}
],
"reveal_email": True,
"reveal_phone_numbers": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
leads: [
{
email: 'jsmith@example.com',
linkedin_url: '<string>',
company_domain: '<string>',
company_name: '<string>',
name: '<string>',
title: '<string>'
}
],
reveal_email: true,
reveal_phone_numbers: true
})
};
fetch('https://api.amplemarket.com/people/enrichment-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 19,
"object": "person_enrichment",
"status": "queued",
"results": [],
"_links": {
"self": {
"href": "/people/enrichment-requests/19"
}
}
}
People Enrichment
Start batch of person enrichments
Start batch of person enrichments
POST
/
people
/
enrichment-requests
Start batch of person enrichments
Credit consumption:
- 0.5 email credits when a person is found, charged at most once per 24 hours
- 1 email credit when an email is revealed, only charged once
- 1 phone credit when a phone number is revealed, only charged once
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Leads to be enriched
Response
Batch accepted
Was this page helpful?
⌘I